Bug 177810 - xmlreader and xmlwriter now enable by default
xmlreader and xmlwriter now enable by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 10:43 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 08:11:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-01-14 10:43:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.8) Gecko/20051228 Fedora/1.5-3.fc4.remi Firefox/1.5

Description of problem:
The xmlreader is now enable by default, so is present as a shared extension (build as a .so) and "staticaly" in the apache module.

The new xmlwrite is also enable (staticaly) .


Version-Release number of selected component (if applicable):
5.1.2-2

How reproducible:
Always

Steps to Reproduce:
1. Install php-5.1.2
2. restart httpd
3. read error_log
  

Actual Results:  PHP Warning:  Module 'xmlreader' already loaded in Unknown on line 0

Expected Results:  no warning

Additional info:

I think of adding when building modules (as for xmlreader) :
      --enable-xmlwriter=shared \

Adding, when building the Apache module
      --disable-xmlwriter \
      --disable-xmlreader

And, of course adding the xmlwriter.so to the php-xml rpm.

Work's well for me.
I Hope that's help.
Comment 1 Joe Orton 2006-01-16 08:11:39 EST
Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.